Cocoapod Error After Computer Restart

Uncategorized

For some bizarre reason I was getting this error after I restarted my mac.  I finally figured a way to fix the issue, maybe it’s a hack, but it works.

Error:

/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb:296:in `to_specs’: Could not find ‘cocoapods’ (>= 0) among 92 total gem(s) (Gem::LoadError)

from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb:307:in `to_spec’

from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_gem.rb:47:in `gem’

from /usr/bin/pod:22:in `<main>’

Fix:

1.  Uninstall cocoapods – gem uninstall cocoapods

2.  Enter into command prompt – /bin/bash –login

3.  Install ruby 2.0

4. Switch to ruby 2.0

5. rvm reset

6. Reinstall cocoapods – gem install cocoapods

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s